Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
New ati-drivers are out - Catalyst 8.2 (8.455.2)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dojo
n00b
n00b


Joined: 11 Dec 2006
Posts: 26
Location: Germany, 26723 Emden

PostPosted: Wed Feb 13, 2008 8:59 pm    Post subject: New ati-drivers are out - Catalyst 8.2 (8.455.2) Reply with quote

Hi,
I see, that the new ATI driver is out.
Is there anybody who test it?

https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_82_linux.html
Back to top
View user's profile Send private message
MostAwesomeDude
Guru
Guru


Joined: 12 Aug 2007
Posts: 373

PostPosted: Wed Feb 13, 2008 9:19 pm    Post subject: Reply with quote

The changelog doesn't indicate they've fixed any of the problems with compositing on M6x and R5xx chipsets, so I'm not testing it.
_________________
Don't believe the "n00b" under my name.
Back to top
View user's profile Send private message
Utlo
n00b
n00b


Joined: 08 Jun 2005
Posts: 49

PostPosted: Thu Feb 14, 2008 1:01 am    Post subject: Reply with quote

The drivers I see on the site are labeled 8.2 which the way I do math is less than 8.452 or 8.40.4. So what is with ATI and the version numbers?
Also any indication if this will work with 2.6.24
_________________
AMD64
ATI 9800
Back to top
View user's profile Send private message
Insanity5902
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1228
Location: Fort Worth, Texas

PostPosted: Thu Feb 14, 2008 2:29 am    Post subject: Reply with quote

ATI has moved the linux drivers to the same versioning scheme has their windows. Which is YEAR.DATE so 8.2 mewan 2008 Feb.

The internal versioning still uses the old linux system 8.455.2 The reason the ebuilds still use the old (internal) versioning is becase of the way ebuild versioning works. Since as you pointed out 8.2 is less than 8.455 we still use the interna. I imagine once the new numbering catches up to the old, we will see the change in numbering in the ebuilds. Should be sometime this summer / fall. At the latest in 2009 :)
_________________
GibbonsR.net | OpenLaptops.org

Join the adopt an unanswered post initiative today
Back to top
View user's profile Send private message
Insanity5902
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1228
Location: Fort Worth, Texas

PostPosted: Thu Feb 14, 2008 2:42 am    Post subject: Reply with quote

I've loaded, i don't have any reference poitns on my new system (running xfce w/ beryl before) running KDE4 now. All the composite features work, and faster than before. Running about 2 mintues, and so far so good.
_________________
GibbonsR.net | OpenLaptops.org

Join the adopt an unanswered post initiative today
Back to top
View user's profile Send private message
bertaboy
Guru
Guru


Joined: 05 Nov 2004
Posts: 599

PostPosted: Thu Feb 14, 2008 4:10 am    Post subject: Reply with quote

I still can't use opengl for vlc, which is disappointing.

Using X800/X850 here (r480, I believe)
Back to top
View user's profile Send private message
MoinMan
Tux's lil' helper
Tux's lil' helper


Joined: 07 Jan 2007
Posts: 78
Location: Liechtenstein

PostPosted: Thu Feb 14, 2008 10:57 pm    Post subject: Reply with quote

Tried it on my Laptop with X1600M and finally AIGLX works with X 7.3! Bit slow with compiz and flickering issues still exist but besides it's working fine.
Back to top
View user's profile Send private message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 752

PostPosted: Fri Feb 15, 2008 9:52 am    Post subject: Reply with quote

I would like to try these new drivers. How do I do it since they are out of the portage tree? I looked up some how to's and basically what I gathered was to go into /etc/portage/package.keywords and place in there "x11-drivers/ati-drivers ~x6. I did that but I didn't get the most recent driver.
Back to top
View user's profile Send private message
V-Li
Developer
Developer


Joined: 03 Jan 2006
Posts: 601

PostPosted: Fri Feb 15, 2008 10:11 am    Post subject: Reply with quote

Rename the latest ebuild to a higher version number and change the SRC_URI. There is a part with 8-01, this needs to read 8-02, you can then emerge it as third-party ebuild from your local overlay.
_________________
Christian Faulhammer, Gentoo Lisp project, GNU Emacs wrangler
http://www.gentoo.org/proj/en/lisp/ #gentoo-lisp on FreeNode
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Feb 15, 2008 3:04 pm    Post subject: Reply with quote

why recent ebuilds use
Code:

ATI_URL="https://*

instead of
Code:
ATI_URL="http://*
?
with https url we need each time to manually fetch ati-drivers with --no-check-certificate
Back to top
View user's profile Send private message
MasterX
Veteran
Veteran


Joined: 26 Jun 2003
Posts: 1165

PostPosted: Sat Feb 16, 2008 6:43 pm    Post subject: Reply with quote

I am running the old version of catalyst (i.e., 8.1) and I am having some problems with beryl.
When I run beryl, I get the following output:
Code:

**************************************************************
* Beryl system compatiblity check                            *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : passed (v0.4)
Checking for XDamage extension                  : passed
Checking for RandR extension                    : passed
Checking for XSync extension                    : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig                  : passed
Checking for GLX_EXT_texture_from_pixmap        : passed
X Error of failed request:  GLXBadContext
  Major opcode of failed request:  142 (GLX)
  Minor opcode of failed request:  5 (X_GLXMakeCurrent)
  Serial number of failed request:  34
  Current serial number in output stream:  34


I google the above error and I found that this error is due to the fact that the color depth is set to 24.

Another problem is that DRI is not enabled if I have two screens!
Do you know if these errors are fixed with the new version of ati-drivers?
My video card is Mobile X600.

EDIT:
The problem with beryl is gone with the new version of ati-drivers


Last edited by MasterX on Sat Feb 16, 2008 7:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
MasterX
Veteran
Veteran


Joined: 26 Jun 2003
Posts: 1165

PostPosted: Sat Feb 16, 2008 6:58 pm    Post subject: Reply with quote

V-Li wrote:
Rename the latest ebuild to a higher version number and change the SRC_URI. There is a part with 8-01, this needs to read 8-02, you can then emerge it as third-party ebuild from your local overlay.


There is one more thing that needs to be changed. That is the ATI_URL, where you should add "64bit" at the end of the line.
Back to top
View user's profile Send private message
drseergio
Apprentice
Apprentice


Joined: 28 Sep 2005
Posts: 236

PostPosted: Mon Feb 18, 2008 6:32 pm    Post subject: Reply with quote

It seems there is a bug in the latest ebuild, it point to 8-01 instead of 8-02. Other than that the driver offers noticeable GLX performance improvements. Scrolling now works as normal and also the overall speed is improved.

Non-working Xv is still killing me... Like it or not, fglrx is the only choice at the moment if you need 3D acceleration and it is nice to see ANY notable improvements (in comparison to introducing resolution bugs as in some recent release).
Back to top
View user's profile Send private message
Wojtek_
Guru
Guru


Joined: 28 May 2006
Posts: 397
Location: London

PostPosted: Tue Feb 19, 2008 12:04 pm    Post subject: Reply with quote

Hi,
Did anyone manage to get AIGLX working with xorg-server-1.4? Apparently it should be possible with the most recent vesion of the drivers but it doesn't work in my case.
Cheers,

Wojtek
_________________
Fujitsu-Siemens Amilo Xi-1546
Intel Centrino Duo T2600 (2,16GHz)
2x1GB DDR2 RAM
ATi Mobility Radeon X1800 256MB DDR3
2x120GB HDD
Intel High Definition Audio
Back to top
View user's profile Send private message
drseergio
Apprentice
Apprentice


Joined: 28 Sep 2005
Posts: 236

PostPosted: Tue Feb 19, 2008 2:00 pm    Post subject: Reply with quote

Yes, it works. Do not forget to re-emerge all xf86 drivers after the update and then to do "eselect opengl set ati" to ensure that ATI OpenGL implementation is used. Also, I am quite sure that the latest ebuild fetches 8.02, but it DOES NOT! Look in its source - it downloads 8.01 instead!
Back to top
View user's profile Send private message
Wojtek_
Guru
Guru


Joined: 28 May 2006
Posts: 397
Location: London

PostPosted: Tue Feb 19, 2008 3:39 pm    Post subject: Reply with quote

drseergio wrote:
Yes, it works. Do not forget to re-emerge all xf86 drivers after the update and then to do "eselect opengl set ati" to ensure that ATI OpenGL implementation is used. Also, I am quite sure that the latest ebuild fetches 8.02, but it DOES NOT! Look in its source - it downloads 8.01 instead!

That's right - I didn't notice that the current ebuild fetched the wrong version of drivers. After modifying it and downloading the proper 8-02 everything works flawlessly.
Cheers,

Wojtek
_________________
Fujitsu-Siemens Amilo Xi-1546
Intel Centrino Duo T2600 (2,16GHz)
2x1GB DDR2 RAM
ATi Mobility Radeon X1800 256MB DDR3
2x120GB HDD
Intel High Definition Audio
Back to top
View user's profile Send private message
Beluc
n00b
n00b


Joined: 11 Aug 2005
Posts: 17

PostPosted: Tue Feb 19, 2008 8:14 pm    Post subject: Reply with quote

[ebuild U ] x11-drivers/ati-drivers-8.455.2-r1 [8.455.2] USE="acpi -debug" 0 kB
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 80

PostPosted: Thu Feb 21, 2008 1:54 am    Post subject: Reply with quote

Finally got newer ati-drivers working on my X800 XL (R430 chipset). It would work on 8.443 and earlier. Anything after that just gave me a black screen at X startup.

After many hours of searching I found that I had to set the BIOS aperture size to 256MB and X will start just fine. DRI works, googleearth is accelerated.

I still have two issues: glxgears is corrupted (don't care too much about that), but the other issue is that when I click on "desktop effects" in KDE4 the computer immediately hard locks.

But at least it mostly works.... :|
Back to top
View user's profile Send private message
djpearman
n00b
n00b


Joined: 19 Jul 2005
Posts: 40
Location: UK

PostPosted: Thu Feb 21, 2008 11:11 am    Post subject: Reply with quote

Well, it seems like this release finally works with AIGLX and Compiz-Fusion, at least for me :)
_________________
Laptop: PowerBook G4 Titanium 500 MHz 768MB ppc
Desktop: Athlon 2500+ 1GB Asus A7V600 ~x86
Desktop: Athlon64 3000+ Venice 2GB Asus A8V Deluxe ~amd64
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Thu Feb 21, 2008 11:47 am    Post subject: Reply with quote

djpearman wrote:
Well, it seems like this release finally works with AIGLX and Compiz-Fusion, at least for me :)

Which graphics card do you have?
_________________
Nature does not hurry, yet everything is accomplished.
Lao Tzu
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 80

PostPosted: Thu Feb 21, 2008 3:33 pm    Post subject: Reply with quote

zwede wrote:

I still have two issues: glxgears is corrupted (don't care too much about that), but the other issue is that when I click on "desktop effects" in KDE4 the computer immediately hard locks.


I played around with the setting in KWIN (switched to XRender, then back to OPENGL, switched to shared memory, backt o texture from pixmap) and all of a sudden it started working. Huh. ??? Now when I logon to KDE4 I get a normal desktop, but no effects. I then have to open a console and do a "kwin --replace" and after that the effects work fine. I have no idea why I have to do the kwin --replace, it's the same kwin that was started when I logged on to KDE4.

BTW, has anyone else noticed that everything seems faster and zippier with the combo of XOrg 1.4 and the new fglrx? Opening windows, scrolling, moving windows, all seems faster?
Back to top
View user's profile Send private message
gsra99
n00b
n00b


Joined: 06 Jan 2008
Posts: 74

PostPosted: Fri Feb 22, 2008 6:38 am    Post subject: compiz-fusion and ATI mobility X700 Reply with quote

I have an Acer 5024WLMi laptop with an ATI mobility X700 card, but compiz-fusion does not seem to work fully with it. It runs faster than before, but the scrolling in Firefox isn't smooth, and I get a blank screen when watching videos in MPlayer. Does anyone else still have this issue?
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 80

PostPosted: Fri Feb 22, 2008 7:36 pm    Post subject: Reply with quote

Yes, I noticed yesterday that if I have desktop effects enabled in KDE4, I get a blank mplayer video screen (sound plays). Turn off desktop effects and video plays normally.
Back to top
View user's profile Send private message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 752

PostPosted: Fri Feb 22, 2008 7:57 pm    Post subject: Reply with quote

I have an ATI and AIGLX and it runs good. Perhaps a little better than the last drivers I used.

Hey gsra99, I don't want to derail this thread so I'll send you a private message with suggestions to your problem.
Back to top
View user's profile Send private message
Fran
Guru
Guru


Joined: 29 Feb 2004
Posts: 521
Location: Coruña (Spain)

PostPosted: Sat Feb 23, 2008 10:11 am    Post subject: Reply with quote

For me, with this version glxgears is corrupted (it is "spread" horizontally across the screen). I wouldn't care if it didn't happen with mplayer -vo gl too. I'm forced to use "-vo gl" if I want to play 1280x720 videos in my 1680x1050 screen, since "-vo x11 -zoom" is not fast enough (I have an overclocked Q6600!!) and "-vo xv" is not supported yet :x (when will fglrx support xvideo acceleration in the 3850 cards??)

Oh, and radeonhd is not a possibility, because it is even slower.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3, 4  Next
Page 1 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum